package com.ruoyi.system.mapper.colums;

import com.ruoyi.system.domain.columns.YjInherit;

import java.util.List;

/**
 * 瑜伽传承Mapper接口
 * 
 * @author ruoyi
 * @date 2025-10-29
 */
public interface YjInheritMapper 
{
    /**
     * 查询瑜伽传承
     * 
     * @param id 瑜伽传承主键
     * @return 瑜伽传承
     */
    public YjInherit selectYjInheritById(String id);

    /**
     * 查询瑜伽传承列表
     * 
     * @param yjInherit 瑜伽传承
     * @return 瑜伽传承集合
     */
    public List<YjInherit> selectYjInheritList(YjInherit yjInherit);

    /**
     * 新增瑜伽传承
     * 
     * @param yjInherit 瑜伽传承
     * @return 结果
     */
    public int insertYjInherit(YjInherit yjInherit);

    /**
     * 修改瑜伽传承
     * 
     * @param yjInherit 瑜伽传承
     * @return 结果
     */
    public int updateYjInherit(YjInherit yjInherit);

    /**
     * 删除瑜伽传承
     * 
     * @param id 瑜伽传承主键
     * @return 结果
     */
    public int deleteYjInheritById(String id);

    /**
     * 批量删除瑜伽传承
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYjInheritByIds(String[] ids);
}
